#include <stm32f10x_gpio.h>
#include <stm32f10x_rcc.h>

void led_config(void)
{
  GPIO_InitTypeDef  GPIO_InitStructure;
  RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOC, ENABLE);
  GPIO_InitStructure.GPIO_Pin = GPIO_Pin_13;
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;   
  GPIO_InitStructure.GPIO_Speed = GPIO_Speed_2MHz;  
  GPIO_Init(GPIOC, &GPIO_InitStructure);
  GPIO_SetBits(GPIOC, GPIO_Pin_13 ); //OFF
}

void led_on(void)
{
  GPIO_ResetBits(GPIOC, GPIO_Pin_13 ); 
}

void led_off(void)
{
  GPIO_SetBits(GPIOC, GPIO_Pin_13 ); 
}

void led_set(int16_t led_state)  
{ 
  if(led_state) led_on();
  else led_off();
}

void led_toggle(void)  
{ 
  if(GPIO_ReadOutputDataBit(GPIOC, GPIO_Pin_13)) led_on();
  else led_off();
}

void led_command(int16_t var)
{
  if(var == 0 ) led_off();
  if(var == 1 ) led_on();
  if(var == 2 ) led_toggle();
}

